<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: SBND_PWM_CLK_ENCODER_arch Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classSBND__PWM__CLK__ENCODER.html">SBND_PWM_CLK_ENCODER</a></li><li class="navelem"><a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html">SBND_PWM_CLK_ENCODER_arch</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">SBND_PWM_CLK_ENCODER_arch Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a4606d203e0fa4dadb25de9ad21a37f9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4606d203e0fa4dadb25de9ad21a37f9b"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a4606d203e0fa4dadb25de9ad21a37f9b">PROCESS_47</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">EXT_CMD1</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">EXT_CMD1_ACK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">RESET</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aa89c943ae2836ca1b93a09e6822c89a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa89c943ae2836ca1b93a09e6822c89a4"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#aa89c943ae2836ca1b93a09e6822c89a4">PROCESS_48</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">EXT_CMD2</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">EXT_CMD2_ACK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">RESET</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab47064e084205ae0b0511fc41b93f2dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab47064e084205ae0b0511fc41b93f2dd"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ab47064e084205ae0b0511fc41b93f2dd">PROCESS_49</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">EXT_CMD3</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">EXT_CMD3_ACK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">RESET</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a89630e682060825e382b8159f26c0898"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a89630e682060825e382b8159f26c0898"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a89630e682060825e382b8159f26c0898">PROCESS_50</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">EXT_CMD4</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">EXT_CMD4_ACK</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">RESET</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad43e7c0bd9cf0943f518ffd4f3375534"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad43e7c0bd9cf0943f518ffd4f3375534"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ad43e7c0bd9cf0943f518ffd4f3375534">PROCESS_51</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">CLK_100MHz</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">RESET</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">SW_CMD_ack</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab5e12dbfd97c6c7d9e819fa4016841b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab5e12dbfd97c6c7d9e819fa4016841b7"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ab5e12dbfd97c6c7d9e819fa4016841b7">PROCESS_52</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">CLK_100MHz</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">RESET</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:af2a6390646e3c51423ec346e5ae05ece"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2a6390646e3c51423ec346e5ae05ece"></a>
<b><a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#af2a6390646e3c51423ec346e5ae05ece">state_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_START</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_PWM_POS</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_PWM_NEG</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:aecb902f93ee7c49aec4ad4721026834d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aecb902f93ee7c49aec4ad4721026834d"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#aecb902f93ee7c49aec4ad4721026834d">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_type</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae90bbe12d3a3643226d094ab82413c65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae90bbe12d3a3643226d094ab82413c65"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ae90bbe12d3a3643226d094ab82413c65">CLR_RDY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa7181bbdd01f4fe83f720eb19c28c8ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7181bbdd01f4fe83f720eb19c28c8ee"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#aa7181bbdd01f4fe83f720eb19c28c8ee">DLY_CNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a60539a767a159ff215343e222581615e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60539a767a159ff215343e222581615e"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a60539a767a159ff215343e222581615e">CHN_CNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a74cb1d663b0fc810ecec7e7b438ef87f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74cb1d663b0fc810ecec7e7b438ef87f"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a74cb1d663b0fc810ecec7e7b438ef87f">WORD_CNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">127</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab06e7a92b1842050074839a2b11ad7cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab06e7a92b1842050074839a2b11ad7cb"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ab06e7a92b1842050074839a2b11ad7cb">PW_CMD_CNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac898aaa0d12fcec1c6ff49f7b956215e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac898aaa0d12fcec1c6ff49f7b956215e"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ac898aaa0d12fcec1c6ff49f7b956215e">EXT_CMD1_ACK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a24818f7b24e0c9aa72a43bf263902b69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24818f7b24e0c9aa72a43bf263902b69"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a24818f7b24e0c9aa72a43bf263902b69">EXT_CMD1_REQ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2360ecc88304a518c12abf7ad4b59b03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2360ecc88304a518c12abf7ad4b59b03"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a2360ecc88304a518c12abf7ad4b59b03">EXT_CMD2_ACK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2598e1d7b2c0c617c3b98dfce3989d32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2598e1d7b2c0c617c3b98dfce3989d32"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a2598e1d7b2c0c617c3b98dfce3989d32">EXT_CMD2_REQ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad724deb100386d3cf167cad5ee9eda1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad724deb100386d3cf167cad5ee9eda1c"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ad724deb100386d3cf167cad5ee9eda1c">EXT_CMD3_ACK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c3aff4720ace62311f973d3be40ce8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c3aff4720ace62311f973d3be40ce8e"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a7c3aff4720ace62311f973d3be40ce8e">EXT_CMD3_REQ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add1726ce93ae3d8b2e554b18be57df65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add1726ce93ae3d8b2e554b18be57df65"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#add1726ce93ae3d8b2e554b18be57df65">EXT_CMD4_ACK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaf940715d2d60e03adf43cc18ccdcff0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf940715d2d60e03adf43cc18ccdcff0"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#aaf940715d2d60e03adf43cc18ccdcff0">EXT_CMD4_REQ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac70bce86a4aabd5a4c87eee76715046f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac70bce86a4aabd5a4c87eee76715046f"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ac70bce86a4aabd5a4c87eee76715046f">CLK_2MHz</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a564499fd25de99f10594e09f2ed11c9a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a564499fd25de99f10594e09f2ed11c9a"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a564499fd25de99f10594e09f2ed11c9a">CLK_CMD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5fc3124a2187ca098548940271a35770"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5fc3124a2187ca098548940271a35770"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a5fc3124a2187ca098548940271a35770">SW_CMD1_s1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b41df841274960da9db3223e6a3cf2d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b41df841274960da9db3223e6a3cf2d"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a1b41df841274960da9db3223e6a3cf2d">SW_CMD2_s1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8b443f2fd94cc7472ca0cd2b9aae0cf1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b443f2fd94cc7472ca0cd2b9aae0cf1"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a8b443f2fd94cc7472ca0cd2b9aae0cf1">SW_CMD3_s1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a203a71a5d545eb7fdda911b755b846a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a203a71a5d545eb7fdda911b755b846a6"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a203a71a5d545eb7fdda911b755b846a6">SW_CMD4_s1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6edff32143830bc0dba36d8054aa9203"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6edff32143830bc0dba36d8054aa9203"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a6edff32143830bc0dba36d8054aa9203">SW_CMD1_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa0634c5d18a6ae7d84bf10242b09af5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa0634c5d18a6ae7d84bf10242b09af5a"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#aa0634c5d18a6ae7d84bf10242b09af5a">SW_CMD2_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7575e81906c7c0f54948b31ff93cf04b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7575e81906c7c0f54948b31ff93cf04b"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a7575e81906c7c0f54948b31ff93cf04b">SW_CMD3_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acfdf87c554ee9be951f990db582c6bbf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfdf87c554ee9be951f990db582c6bbf"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#acfdf87c554ee9be951f990db582c6bbf">SW_CMD4_s2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6246eb758cd542304383602b869f475f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6246eb758cd542304383602b869f475f"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a6246eb758cd542304383602b869f475f">SW_CMD1_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac1561c68dd19246d1a96045e760ed6b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1561c68dd19246d1a96045e760ed6b0"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ac1561c68dd19246d1a96045e760ed6b0">SW_CMD2_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a75ee402fc806007827f89b2b9415ffec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75ee402fc806007827f89b2b9415ffec"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a75ee402fc806007827f89b2b9415ffec">SW_CMD3_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac84758feb71ae347ec75ebb6cce6c367"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac84758feb71ae347ec75ebb6cce6c367"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#ac84758feb71ae347ec75ebb6cce6c367">SW_CMD4_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5daf3551da6ba486adb89f77f0c06959"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5daf3551da6ba486adb89f77f0c06959"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html#a5daf3551da6ba486adb89f77f0c06959">SW_CMD_ack</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="SBND__PWM__CLK__ENCODER_8vhd_source.html#l00057">57</a> of file <a class="el" href="SBND__PWM__CLK__ENCODER_8vhd_source.html">SBND_PWM_CLK_ENCODER.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB_CnC/<a class="el" href="SBND__PWM__CLK__ENCODER_8vhd_source.html">SBND_PWM_CLK_ENCODER.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:35 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
